#include <Keypad.h>
#include <Servo.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x27, 16, 2); // Set the LCD address to 0x27 for a 16 chars and 2 line display. 
                                    // If you are using a different LCD size, specify this here.

const byte ROWS = 4;
const byte COLS = 4;

char hexaKeys[ROWS][COLS] = { // Define the keypad layout. Change this to match your keypad.
  {'1', '2', '3', 'A'},
  {'4', '5', '6', 'B'},
  {'7', '8', '9', 'C'},
  {'0', 'F', 'E', 'D'}
};
byte rowPins[ROWS] = {5, 4, 3, 2};
byte colPins[COLS] = {9, 8, 7, 6};

Keypad customKeypad = Keypad(makeKeymap(hexaKeys), rowPins, colPins, ROWS, COLS);


void setup() {

  Serial.begin(9600);
  lcd.init();
  lcd.backlight();
  lcd.setCursor(0, 0);
  lcd.print("Press any key"); //Initial prompt
}


void loop() {
  char Key = customKeypad.getKey();
  if (Key) {
    lcd.init();
    lcd.setCursor(0, 0);
    Serial.print(Key); //Print pressed key on serial monitor (ctrl+shift+m)
    lcd.print(Key); //Print pressed key to LCD
    delay(10);
  }
}
